package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.SubInfo;
import com.ruoyi.system.domain.SubPreNew;
import com.ruoyi.system.domain.Tender;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ISubPreNewService extends IService<SubPreNew>
{
    public List<SubPreNew> listS();

    SubPreNew findOne(LambdaQueryWrapper<SubPreNew> eq);

    @Transactional(rollbackFor = Exception.class)
    void Save(SubPreNew vo);

    Integer selectCount(Wrapper<SubPreNew> queryWrapper);
}
